[Meta]
ShortName: mplayer
SoftwareVersion: 0.90
DisplayName: MPlayer multimedia player
RootName: @mplayerhq.hu/mplayer:$SOFTWAREVERSION
Summary: A Linux multimedia player for MPEG, DivX, MP3, Ogg Vorbis, and more.
Packager: Hongli Lai <h.lai@chello.nl>
Maintainer: The MPlayer team - http://www.mplayerhq.hu/

[Description]
MPlayer is a movie and animation player that supports a wide range of file formats, including AVI, MPEG, and Quicktime. It has many MMX/SSE/3Dnow optimized native audio and video codecs, but allows using XAnim's and RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic VCD/DVD playback functionality, including DVD subtitles, but supports many text-based subtitle formats too. It is also able to convert any supported files to raw/divx/mpeg4 AVI (pcm/mp3 audio), and even video grabbing from V4L devices.

Note: this package is only a technology preview for Autopackage and is not
compiled with all features that MPlayer supports.


[BuildPrepare]
if [[ "$APKG_BUILD_SKIP_CONFIGURE" != "1" ]]; then
	_ld_extra="`pkg-config --libs libprefixdb`" ./configure\
	--prefix=/usr/local\
	--enable-gui\
	--disable-mencoder\
	--disable-iconv\
	--disable-setlocale\
	--disable-lirc\
	--disable-i18n\
	--disable-tv\
	--disable-tv-v4l\
	--disable-tv-bsdbt848\
	--disable-dvdread\
	--disable-mpdvdkit\
	--disable-css\
	--disable-cdparanoia\
	--disable-freetype\
	--disable-unrarlib\
	--disable-gif\
	--enable-png\
	--disable-jpeg\
	--disable-liblzo\
	--disable-xvid\
	--disable-divx4linux\
	--disable-libfame\
	--disable-tremor\
	--disable-faad\
	--disable-libdv\
	--enable-vorbis\
	--disable-vidix\
	--enable-sdl\
	--disable-mad\
	--disable-vesa\
	--disable-svga\
	--disable-aa\
	--disable-ggi\
	--disable-gl\
	--disable-directx\
	--disable-dxr2\
	--disable-dxr3\
	--disable-dvb\
	--disable-mga\
	--disable-fbdev\
	--disable-mlib\
	--disable-3dfx\
	--disable-tdfxfb\
	--disable-directfb\
	--disable-zr\
	--disable-bl\
	--disable-arts\
	--enable-ossaudio\
	--disable-esd\
	--disable-alsa\
	--disable-nas\
	--disable-sunaudio\
	--disable-win32waveout\
	--enable-runtime-cpudetection\
	--target=i586-pc-linux\
	--enable-mmx\
	--disable-mmx2\
	--disable-3dnow\
	--disable-3dnowex\
	--disable-sse\
	--disable-sse2\
	--enable-dynamic-plugins\
	--with-reallibdir=/usr/lib/RealPlayer8/Codecs\
	--with-win32libdir=/usr/lib/win32\
	|| exit 1

	if ! grep -c 'data_dir' config.h 2>&1 >/dev/null; then
		echo "extern char *data_dir;" >> config.h
	fi
	if ! grep -c 'conf_dir' config.h 2>&1 >/dev/null; then
		echo "extern char *conf_dir;" >> config.h
	fi
	if ! grep -c 'lib_dir' config.h 2>&1 >/dev/null; then
		echo "extern char *lib_dir;" >> config.h
	fi
fi

if [[ "$APKG_BUILD_SKIP_MAKE" != "1" ]]; then
	if ! grep -c 'CFLAGS += `pkg-config --cflags libprefixdb`' Makefile 2>&1 >/dev/null; then
		echo 'CFLAGS += `pkg-config --cflags libprefixdb`' >> Makefile
	fi

	patch -p1 -N --no-backup-if-mismatch < autopackage/libprefixdb.patch
	make || exit 1
	strip --strip-all mplayer
fi

[BuildUnprepare]
if [[ "$APKG_BUILD_SKIP_MAKE" != "1" ]]; then
	patch -p1 -RN --no-backup-if-mismatch < autopackage/libprefixdb.patch
fi


[Imports]
ln -sf mplayer gmplayer

import bin <<EOF
mplayer
gmplayer
EOF

import etc/mplayer <<EOF
etc/codecs.conf
etc/input.conf
autopackage/mplayer.conf
EOF

echo DOCS/mplayer.1 | import man/man1
echo autopackage/mplayer.desktop | import share/applications
echo autopackage/mplayer.keys | import share/mime-info
echo autopackage/mplayer.applications | import share/application-registry
echo "autopackage/hwswskin/*" | import share/mplayer/Skin/default 

import share/mplayer/font <<EOF
autopackage/font.desc
autopackage/iso-8859-1-a.raw
autopackage/iso-8859-1-b.raw
autopackage/osd-mplayer-a.raw
autopackage/osd-mplayer-b.raw
EOF

[Prepare]
require '@xiph.org/libogg' 0
require '@xiph.org/libvorbis' 0
require '@libpng.org/libpng' 2
require '@zlib.org/zlib' 1
require '@gtk.org/gtk' 1.2
require '@libsdl.org/sdl' 1.2


[Install]
installExe ./bin/mplayer
if [ -f "$prefix/bin/.apkg-bins/mplayer" ]; then
    ln -sf "$prefix/bin/.apkg-bins/mplayer" "$prefix/bin/gmplayer"
else
    ln -sf "$prefix/bin/mplayer" "$prefix/bin/gmplayer"
fi

copyFiles etc/mplayer/* "$prefix/etc/mplayer"
copyFiles share/mplayer/Skin/default/* "$prefix/share/mplayer/Skin/default"
copyFiles share/mplayer/font/* "$prefix/share/mplayer/font"
installGnome2AppEntry ./share/application-registry/mplayer.applications
installGnome2Mime ./share/mime-info/mplayer.keys
installMan 1 ./man/man1/mplayer.1
installDesktop "Multimedia" ./share/applications/mplayer.desktop

[Uninstall]
rm -f "$prefix/bin/gmplayer"
uninstallFromLog
